//
//	Copyright (C) 2003 Kazuhiko TAMURA. All rights reserved.
//
//	This program is free software; you can redistribute it and/or 
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//	NAME:		Main.java
//	DATE:		2003.9.14
//	CREATOR:	Kazuhiko TAMURA
//
// ***************************************************************************************

package jp.gr.java_conf.ktz.puzzle.hashikake.bench;

import java.util.logging.Logger;
import java.util.logging.Level;


import jp.gr.java_conf.ktz.puzzle.framework.ProblemInfo;
import jp.gr.java_conf.ktz.puzzle.framework.StateManager;
import jp.gr.java_conf.ktz.puzzle.framework.util.GUIUtility;

import jp.gr.java_conf.ktz.puzzle.hashikake.app.model.HashikakeStateManagerImpl;

import jp.gr.java_conf.ktz.puzzle.hashikake.io.XMLProblemReader;

import jp.gr.java_conf.ktz.puzzle.hashikake.bench.view.HashikakeBench;

public class Main {
	public static void main(String[] inArgs) {
		Logger aLogger = Logger.getLogger(Main.class.getPackage().getName());
		if (aLogger.isLoggable(Level.INFO)) {
			aLogger.info("start up the benchmark tester");
		}
		
		StateManager.initialize(new HashikakeStateManagerImpl());

		javax.swing.JFrame f = new HashikakeBench();
		f.pack();
		f.setResizable(false);
		f.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		
		GUIUtility.LayoutToCenter(f);
		
		f.setVisible(true);
	}
}